Search the Community
Showing results for tags 'relative'.
-
Hi Guys, New to CAD Tutor. I came here looking for a lisp routine to do multiple copies at varying distances from a point relative to the last copy point. I found Lee Mac's Lisp Routine on an old post but I am having trouble with it. I am using AutoCAD 2018. (defun c:copyrel ( / b i l o p q s ) (if (and (setq s (ssget "_:L")) (setq p (getpoint "\nSpecify Base Point: ")) (setq b (vlax-3D-point (trans p 1 0))) ) (progn (repeat (setq i (sslength s)) (setq l (cons (vlax-ename->vla-object (ssname s (setq i (1- i)))) l)) ) (while (setq q (acet-ss-drag-move s p "\nSpecify Second Point: " 0 0)) (setq s (ssadd)) (foreach x l (vla-move (setq o (vla-copy x)) b (vlax-3D-point (trans q 1 0))) (ssadd (vlax-vla-object->ename o) s) ) (setq p q) ) ) ) (princ) ) (vl-load-com) (princ) So it seems to work up until the second copy. The issue I have is that I am unable to control the direction of the second copy. Also the distance is incorrect for the direction it does copy it to. I am trying to use it to quickly draw a column grid. I have orthomode on. My first copy is horizontal, the second is also to be horizontal and all visual cues show as if it will be copied horizontally, just like the other copy. However, the result is that it copies the object downward. And not even to the correct distance. For example I typed in 20'-8" and it copied it 7' something down on the Y-axis. This is exactly what I am looking for so if anyone can help me out with this it would be fantastic!!
-
I try to do a very simple thing : transform the absolute XREF links in relative in C#. I have no idea how can I translate the XREF path in relative. I don't know where I can start. I saw this article but does'nt help me ! Have you got information or details how can I do that? Thanks a lot,
-
I can't figure out how to choose my starting point to be relative to another point without drawing help lines (which mean they must be drawn, selected, deleted = time). I am certain there must be a way around this. For argument's sake, consider I am attempting to draw a cross. I use the line command, input a starting point; choose next point: @100 Now I need a vertical line of equal length to cross the middle-point of the horizontal one. I could snap to middle-point, draw a line of half-length at angle 90 and draw another of 2.(length) at angle -90. This produces 2 lines one of which is unwanted must therefore be selected and deleted. This simple example illustrates my point. I need a command which allows me to choose my first point (for the LINE command) as the point which is "X" units at angle "alpha" relative to a point "x,y" (or a coordinate selected by the SNAP tool if you will). Please take into consideration that the solution must be able to satisfy the stated problem and not the chosen example only. I thank anyone's input in this! Now I gotta put my thinking cap on again...
-
Relative Xref paths in New & Existing Drawings
acad2012 posted a topic in AutoCAD Drawing Management & Output
For new drawings, is there a way to program Autocad to always load Xrefs relative? We pretty much use xrefs everywhere, and it seems like it would save a lot of time if I didn't have to open the External References and change each xref to relative. Also, if you have an existing drawing and need to change the xref from absolute to relative path, is there a way to have it automatically do that? I'm assuming there isn't, but thought I'd ask.